classification
Title: IDLE Crash when running/saving Module
Type: crash Stage: resolved
Components: IDLE Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: OS X IDLE 2.7 from 64-bit installer hangs when you paste something.
View: 10537
Assigned To: ned.deily Nosy List: David_Anon, ned.deily, r.david.murray
Priority: normal Keywords:

Created on 2010-12-13 02:53 by David_Anon, last changed 2011-03-09 05:40 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
Python_2010-12-12-214329_Darwin.txt David_Anon, 2010-12-13 02:53 Python Crash log
Messages (4)
msg123859 - (view) Author: David (David_Anon) Date: 2010-12-13 02:53
Hello, 

Python version 2.7.1 x64
Mac OS X 10.6.5 x86_64
Tk/Tcl version 8.5/4

Python will crash when saving/running/checking a module, i tried googling for a few hours to come up to NOTHING for a solution. Hopefully we can both get this fixed. Thank you.

Attached is a Python crash log.
msg123885 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-12-13 17:44
Ned, did you mean issue 9763?
msg123886 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-12-13 17:52
[updated to refer to correct issue - thanks!]

Without more specific details on exactly how to reproduce the problem, I assume you are seeing something like the problem reported in Issue9763.  There are several reported problems with IDLEs that are linked with the Apple-supplied Tcl/Tk 8.5 in OS X 10.6.  That includes the current python.org 2.7.1 64-bit installer.  The simplest workaround at the moment is to use the other, 32-bit-only 2.7.1 installer for OS X.  It uses the Apple Tcl/Tk 8.4 or ActiveTcl 8.4, if present, neither of which exhibits these kinds of problems.
msg130427 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-09 05:40
Now that ActiveState has released a version of Tcl/Tk 8.5 (8.5.9.2) for Mac OS X that is also an Aqua Cocoa Tk (like the Apple-supplied Tk 8.5.7 in 10.6) and supports 64-bit, versions of Python linked with the new ActiveTcl 8.5.9 do not display the problem reported here as well as a number of other problems reported elsewhere.  Unfortunately, as released, the 64-bit/32-bit python.org Python 2.7.1 for 10.6 links only to the Apple-supplied Tcl/Tk 8.5. Until the next release of Python 2.7 (2.7.2), the best workaround without rebuilding remains to use the 32-bit-only installer for 2.7.1.

There is now a webpage that summarizes the somewhat confusing state of affairs with regard to Tcl/Tk support with Python on Mac OS X:

http://www.python.org/download/mac/tcltk/
History
Date User Action Args
2011-03-09 05:40:59ned.deilysetstatus: pending -> closed
nosy: ned.deily, r.david.murray, David_Anon
messages: + msg130427

superseder: Crashes upon run after syntax error encountered in OSX 10.5.8 -> OS X IDLE 2.7 from 64-bit installer hangs when you paste something.
stage: resolved
2010-12-13 17:53:57ned.deilysetstatus: open -> pending
2010-12-13 17:53:24ned.deilysetmessages: - msg123868
2010-12-13 17:52:54ned.deilysetstatus: pending -> open
superseder: _elementtree.c warnings under 64-bit Windows -> Crashes upon run after syntax error encountered in OSX 10.5.8
messages: + msg123886
2010-12-13 17:45:05r.david.murraysetstatus: open -> pending
2010-12-13 17:44:52r.david.murraysetstatus: pending -> open
nosy: + r.david.murray
messages: + msg123885

2010-12-13 09:43:57ned.deilysetstatus: open -> pending

superseder: _elementtree.c warnings under 64-bit Windows
assignee: ned.deily

nosy: + ned.deily
messages: + msg123868
resolution: duplicate
2010-12-13 02:53:05David_Anoncreate